Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185776 - Review Request: gitweb
Summary: Review Request: gitweb
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-03-17 21:16 UTC by bkyoung
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-06 19:36:08 UTC


Attachments (Terms of Use)
Spec for for gitweb. (deleted)
2006-03-17 21:18 UTC, bkyoung
no flags Details
Object location adjustments. (deleted)
2006-03-17 21:19 UTC, bkyoung
no flags Details | Diff
A quick installation test/check; Additional info. (deleted)
2006-03-17 21:19 UTC, bkyoung
no flags Details
Spec for gitweb. Fixed #5. (deleted)
2006-03-18 17:56 UTC, bkyoung
no flags Details
Spec file - Changed directory to gitweb. (deleted)
2006-03-22 03:02 UTC, bkyoung
no flags Details
Object location adjustments. (deleted)
2006-03-22 03:02 UTC, bkyoung
no flags Details
A quick installation test/check. Additional info. (deleted)
2006-03-22 03:04 UTC, bkyoung
no flags Details

Description bkyoung 2006-03-17 21:16:55 UTC
Spec Name or Url: Attached
SRPM Name or Url: Build separately
Description: A CGI based web interface for git projects published to a git repository.

See notes at end of attached gitweb-check for obtaining source tarball.

Attached:
gitweb.spec
gitweb-2.6.4-gitweb.cgi.patch
gitweb-check

BEGIN OUTPUT rpmlint
W: gitweb dangerous-command-in-%post chown
W: gitweb dangerous-command-in-%postun groupdel
END OUTPUT rpmlint

Comment 1 bkyoung 2006-03-17 21:18:17 UTC
Created attachment 126287 [details]
Spec for for gitweb.

Comment 2 bkyoung 2006-03-17 21:19:08 UTC
Created attachment 126288 [details]
Object location adjustments.

Comment 3 bkyoung 2006-03-17 21:19:51 UTC
Created attachment 126289 [details]
A quick installation test/check; Additional info.

Comment 4 bkyoung 2006-03-18 00:15:48 UTC
Comment on attachment 126287 [details]
Spec for for gitweb.

>%postun
># Remove group %{_gitweb_group}
>groupdel %{_gitweb_group}
>

%postun
if test $1 -eq 0; then
# Remove group %{_gitweb_group} for erase
	groupdel %{_gitweb_group} || true > /dev/null 2>&1
fi

The _gitweb_group should remain after an upgrade, but be removed after an
erase!

Comment 5 Paul Howarth 2006-03-18 09:22:22 UTC
(In reply to comment #4)
> (From update of attachment 126287 [details] [edit])
> >%postun
> ># Remove group %{_gitweb_group}
> >groupdel %{_gitweb_group}
> >
> 
> %postun
> if test $1 -eq 0; then
> # Remove group %{_gitweb_group} for erase
> 	groupdel %{_gitweb_group} || true > /dev/null 2>&1
> fi
> 
> The _gitweb_group should remain after an upgrade, but be removed after an
> erase!

It should only be removed if you can be sure that no files belonging to this
group will remain on the system after the package has been removed. Otherwise,
the group should not be removed at all.


Comment 6 bkyoung 2006-03-18 17:56:45 UTC
Created attachment 126309 [details]
Spec for gitweb. Fixed #5.

Comment 7 bkyoung 2006-03-22 03:02:13 UTC
Created attachment 126451 [details]
Spec file - Changed directory to gitweb.

Comment 8 bkyoung 2006-03-22 03:02:59 UTC
Created attachment 126452 [details]
Object location adjustments.

Comment 9 bkyoung 2006-03-22 03:04:02 UTC
Created attachment 126453 [details]
A quick installation test/check. Additional info.

Comment 10 Patrice Dumas 2006-07-23 21:26:37 UTC
Could you please add the url to the spec file and the srpm in a 
bugzilla comment?

Comment 11 Jason Tibbitts 2006-08-30 06:12:20 UTC
I will close this bug in one week if there is no response.


Note You need to log in before you can comment on or make changes to this bug.